
From: Dave Hansen <haveblue@us.ibm.com>

I believe the attached patch should fix the extra output.  Compiles on
my normal summit discontig configuration.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/discontig.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/mm/discontig.c~x86-abstract-discontigmem-setup-fix arch/i386/mm/discontig.c
--- 25/arch/i386/mm/discontig.c~x86-abstract-discontigmem-setup-fix	Mon Mar  7 16:21:12 2005
+++ 25-akpm/arch/i386/mm/discontig.c	Mon Mar  7 16:21:12 2005
@@ -70,9 +70,9 @@ void memory_present(int nid, unsigned lo
 	printk(KERN_DEBUG "  ");
 	for (pfn = start; pfn < end; pfn += PAGES_PER_ELEMENT) {
 		physnode_map[pfn / PAGES_PER_ELEMENT] = nid;
-		printk(KERN_DEBUG "%ld ", pfn);
+		printk("%ld ", pfn);
 	}
-	printk(KERN_DEBUG "\n");
+	printk("\n");
 }
 
 unsigned long node_memmap_size_bytes(int nid, unsigned long start_pfn,
_
